[arch-commits] Commit in mercurial/trunk (PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Mon Aug 30 19:43:39 EDT 2010


    Date: Monday, August 30, 2010 @ 19:43:38
  Author: remy
Revision: 89284

upgpkg: mercurial 1.6.3-2
Rebuild for python2.

Modified:
  mercurial/trunk/PKGBUILD

----------+
 PKGBUILD |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-30 22:48:41 UTC (rev 89283)
+++ PKGBUILD	2010-08-30 23:43:38 UTC (rev 89284)
@@ -4,12 +4,12 @@
 
 pkgname=mercurial
 pkgver=1.6.3
-pkgrel=1
+pkgrel=2
 pkgdesc="A scalable distributed SCM tool"
 arch=('i686' 'x86_64')
 url="http://www.selenic.com/mercurial"
 license=('GPL')
-depends=('python')
+depends=('python2')
 optdepends=('tk: for the hgk GUI')
 source=(http://www.selenic.com/mercurial/release/${pkgname}-${pkgver}.tar.gz
         mercurial.profile)
@@ -18,8 +18,11 @@
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  python setup.py install --root="${pkgdir}/" --optimize=1 || return 1
+  python2 setup.py install --root="${pkgdir}/" --optimize=1 || return 1
 
+  sed -i -e 's#env python#env python2#' \
+    "${pkgdir}"/usr/lib/python2.7/site-packages/mercurial/{simplemerge,lsprof}.py
+
   install -d ${pkgdir}/usr/share/man/{man1,man5}
   install -m644 doc/hg.1 "${pkgdir}/usr/share/man/man1" || return 1
   install -m644 doc/{hgrc.5,hgignore.5} "${pkgdir}/usr/share/man/man5" || return 1



More information about the arch-commits mailing list